#!/bin/ksh

# modify the /etc/profile
cd /etc
marker="#PROJECT12-JAVA-SYSTEMWIDE-ENVIRONMENT-001"
if [ -f profile ]
then
awk < profile 'BEGIN {m="'$marker'"; skip=0;}
{
if ( skip == 1 ) next;
if ( index($0, m) == 1 )
{
   skip = 1;
   next;
}
print $0;
}' > tmp.$$
fi


cat >> tmp.$$ <<EOF
$marker
JAVA_HOME=/opt/java
CLASSPATH=.
CLASSPATH=\$CLASSPATH:/opt/jsdk/servlet.jar
CLASSPATH=\$CLASSPATH:/opt/jsdk/server.jar
PATH=\$PATH:/tools
export PATH JAVA_HOME CLASSPATH
EOF

# Backup the profile and move the updated one to it
cp profile profile.$$
mv tmp.$$ profile


