#!/bin/sh

os=`uname`


set_jre()
{
if [ -f "$JRE_HOME/bin/libjava.so" ]; then
  jre="$JRE_HOME"
fi
if [ -f "$JAVA_HOME/bin/libjava.so" ]; then
  jre="$JAVA_HOME"
fi
}
   
COMMON_CLASSES=/opt/classes
NT_COMMON_CLASSES=U:/opt/classes

PROJECT_ENV_DIR=/tools/project12
NT_PROJECT_ENV_DIR=T:/tools/project12

COMMON_ENV_DIR=/tools/env
NT_COMMON_ENV_DIR=T:/tools/env

#if  [ $# -eq 2 ]
#then
#  WAS_HOME=$2
#  export WAS_HOME
#elif [ $# -eq 1 ]
#then
#WAS_HOME=/opt/WebSphere/AppServer
#export WAS_HOME
#fi

if [ $# -eq 0 ]
then
echo NONE
elif [ $1 = "j122" ]
then
   if [ $os = "AIX" ]
   then
      echo 'Setting the Java machine 1.2.2 environment on AIX.'
      JAVA_HOME=/usr/java_dev2
      JAVA_EXE=$JAVA_HOME/jre/sh/java
      JRE_HOME=$JAVA_HOME/jre
      set_jre
      LD_LIBRARY_PATH=$jre/bin:$jre/bin/classic:$LD_LIBRARY_PATH
      PATH=$JAVA_HOME/sh:$JAVA_HOME/jre/sh:$PATH
      .  $COMMON_ENV_DIR/db2env.sh
      .  $COMMON_ENV_DIR/setclasspath_j122.sh
      .  $PROJECT_ENV_DIR/setclasspath.sh
      .  $PROJECT_ENV_DIR/setcustom.sh
      $JAVA_HOME/jre/sh/java -fullversion
      export JAVA_EXE JAVA_HOME LD_LIBRARY_PATH PATH COMMON_CLASSES
   elif [ $os = "Linux" ]
   then
      echo 'Setting the Java machine 1.2.2 environment on Linux.'
      JAVA_HOME=/opt/IBMJava2-122
      JAVA_EXE=$JAVA_HOME/bin/java
      JRE_HOME=$JAVA_HOME/jre
      set_jre
      LD_LIBRARY_PATH=$jre/bin:$jre/bin/classic:$LD_LIBRARY_PATH
      PATH=$JAVA_HOME/bin:$JAVA_HOME/jre/bin:$PATH
      .  $COMMON_ENV_DIR/db2env.sh
      .  $COMMON_ENV_DIR/setclasspath_j122.sh
      .  $PROJECT_ENV_DIR/setclasspath.sh
      .  $PROJECT_ENV_DIR/setcustom.sh
      $JAVA_HOME/bin/java -fullversion
      export JAVA_EXE JAVA_HOME LD_LIBRARY_PATH PATH COMMON_CLASSES
   elif [ $os = "Windows_NT" ]
   then
      echo 'Setting the Java machine 1.2.2 environment on Windows NT.'
      JAVA_HOME=C:/java
      JAVA_EXE=$JAVA_HOME/bin/java
      JRE_HOME=$JAVA_HOME/jre
      set_jre
      LD_LIBRARY_PATH=$jre/bin:$jre/bin/classic:$LD_LIBRARY_PATH
      PATH=$JAVA_HOME/bin\;$JAVA_HOME/jre/bin\;$PATH
      .  $NT_COMMON_ENV_DIR/ntclasspath_j122.sh
      .  $NT_PROJECT_ENV_DIR/ntclasspath.sh
      $JAVA_HOME/bin/java -fullversion
      export JAVA_EXE JAVA_HOME PATH NT_COMMON_CLASSES
   fi
elif [ $1 = "w122" ]
then
   if [ $os = "AIX" ]
   then
      echo 'Setting the WebSphere / Java machine 1.2.2 environment on AIX.'
      JAVA_HOME=/usr/WebSphere/AppServer/java
      JAVA_EXE=$JAVA_HOME/jre/sh/java
      JRE_HOME=$JAVA_HOME/jre
      set_jre
      LD_LIBRARY_PATH=$jre/bin:$jre/bin/classic:$LD_LIBRARY_PATH
      PATH=$JAVA_HOME/sh:$JAVA_HOME/jre/sh:$PATH
      .  $COMMON_ENV_DIR/setw355aix.sh
      .  $COMMON_ENV_DIR/db2env.sh
      .  $COMMON_ENV_DIR/setclasspath_w122.sh
      .  $PROJECT_ENV_DIR/setclasspath.sh
      .  $PROJECT_ENV_DIR/setcustom.sh
      $JAVA_HOME/jre/sh/java -fullversion
       export JAVA_EXE JAVA_HOME LD_LIBRARY_PATH PATH COMMON_CLASSES
   elif [ "$os" = "Linux" ]
   then
      echo 'Setting the WebSphere / Java machine 1.2.2 environment on Linux.'
      JAVA_HOME=/opt/IBMJava2-122
      JAVA_EXE=$JAVA_HOME/bin/java
      JRE_HOME=$JAVA_HOME/jre
      set_jre
      LD_LIBRARY_PATH=$jre/bin:$jre/bin/classic:$LD_LIBRARY_PATH
      PATH=$JAVA_HOME/bin:$JAVA_HOME/jre/bin:$PATH
      .  $COMMON_ENV_DIR/setw355lin.sh
      .  $COMMON_ENV_DIR/db2env.sh
      .  $COMMON_ENV_DIR/setclasspath_w122.sh
      .  $PROJECT_ENV_DIR/setclasspath.sh
      .  $PROJECT_ENV_DIR/setcustom.sh
      $JAVA_HOME/bin/java -fullversion
      export JAVA_EXE JAVA_HOME PATH COMMON_CLASSES
   elif [ $os = "Windows_NT" ]
   then
      echo 'Setting the Java machine 1.2.2 environment on Windows NT.'
      JAVA_HOME=C:/WebSphere/AppServer/jdk
      JAVA_EXE=$JAVA_HOME/jre/bin/java
      PATH=$JAVA_HOME/bin\;$JAVA_HOME/jre/bin\;$PATH
      .  $COMMON_ENV_DIR/setw355nt.sh
      .  $PROJECT_ENV_DIR/ntclasspath122.sh
      $JAVA_HOME/jre/bin/java -fullversion
      export JAVA_EXE JAVA_HOME PATH COMMON_CLASSES
   fi
elif [ $1 = "j130" ]
then
   if [ $os = "AIX" ]
   then
      echo 'Setting the Java machine 1.3.0 environment on AIX.'
      JAVA_HOME=/usr/WebSphere/AppServer/java
      JAVA_EXE=$JAVA_HOME/jre/sh/java
      JRE_HOME=$JAVA_HOME/jre
      set_jre
      LD_LIBRARY_PATH=$jre/bin:$jre/bin/classic:$LD_LIBRARY_PATH
      PATH=$JAVA_HOME/sh:$JAVA_HOME/jre/sh:$PATH
      .  $COMMON_ENV_DIR/db2env.sh
      .  $COMMON_ENV_DIR/setclasspath_j130.sh
      .  $PROJECT_ENV_DIR/setclasspath.sh
      .  $PROJECT_ENV_DIR/setcustom.sh
      $JAVA_HOME/jre/sh/java -fullversion
       export JAVA_EXE JAVA_HOME LD_LIBRARY_PATH PATH COMMON_CLASSES
   elif [ $os = Linux ]
   then
      echo 'Setting the Java machine 1.3.0 environment on Linux.'
      JAVA_HOME=/opt/IBMJava2-130
      JAVA_EXE=/opt/IBMJava2-130/bin/java
      JRE_HOME=$JAVA_HOME/jre
      set_jre
      LD_LIBRARY_PATH=$jre/bin:$jre/bin/classic:$LD_LIBRARY_PATH
      PATH=$JAVA_HOME/bin:$PATH
      .  $COMMON_ENV_DIR/db2env.sh
      .  $COMMON_ENV_DIR/setclasspath_j130.sh
      .  $PROJECT_ENV_DIR/setclasspath.sh
      .  $PROJECT_ENV_DIR/setcustom.sh
      $JAVA_HOME/bin/java -fullversion
      export JAVA_EXE JAVA_HOME PATH COMMON_CLASSES
   elif [ $os = "Windows_NT" ]
   then
      echo 'Setting the Java machine 1.3.0 environment on Windows NT.'
      JAVA_HOME=C:/WebSphere/AppServer/jdk
      JAVA_EXE=C:/WebSphere/AppServer/jdk/jre/bin/java
      PATH=$JAVA_HOME/bin\;$JAVA_HOME/jre/bin\;$PATH
      $JAVA_HOME/jre/bin/java -fullversion
      .  $COMMON_ENV_DIR/ntclasspath_j130.sh
      .  $PROJECT_ENV_DIR/ntclasspath.sh
      export JAVA_EXE JAVA_HOME PATH COMMON_CLASSES

   fi
elif  [ $1 = "w130" ]
then
   if [ $os = "AIX" ]
   then
      echo 'Setting the WebSphere / Java machine 1.3.0 environment on AIX.'
      JAVA_HOME=/usr/WebSphere/AppServer/java
      JAVA_EXE=/usr/WebSphere/AppServer/java/jre/sh/java
      JRE_HOME=$JAVA_HOME/jre
      set_jre
      LD_LIBRARY_PATH=$jre/bin:$jre/bin/classic:$LD_LIBRARY_PATH
      PATH=$JAVA_HOME/sh:$JAVA_HOME/jre/sh:$PATH
      .  $COMMON_ENV_DIR/setw4aix.sh
      .  $COMMON_ENV_DIR/db2env.sh
      .  $COMMON_ENV_DIR/setclasspath_w130.sh
      .  $PROJECT_ENV_DIR/setclasspath.sh
      .  $PROJECT_ENV_DIR/setcustom.sh
      $JAVA_HOME/jre/sh/java -fullversion
       export JAVA_EXE JAVA_HOME LD_LIBRARY_PATH PATH COMMON_CLASSES
   elif [ $os = Linux ]
   then
      echo 'Setting the WebSphere / Java machine 1.3.0 environment on Linux.'
      JAVA_HOME=/opt/IBMJava2-130
      JAVA_EXE=/opt/IBMJava2-130/bin/java
      JRE_HOME=$JAVA_HOME/jre
      set_jre
      LD_LIBRARY_PATH=$jre/bin:$jre/bin/classic:$LD_LIBRARY_PATH
      PATH=$JAVA_HOME/bin:$JAVA_HOME/jre/bin:$PATH
      $JAVA_HOME/bin/java -fullversion
      .  $COMMON_ENV_DIR/setw4lin.sh
      .  $COMMON_ENV_DIR/db2env.sh
      .  $COMMON_ENV_DIR/setclasspath_w130.sh
      .  $PROJECT_ENV_DIR/setclasspath.sh
      .  $PROJECT_ENV_DIR/setcustom.sh
      export JAVA_EXE JAVA_HOME PATH COMMON_CLASSES
   elif [ $os = "Windows_NT" ]
   then
      echo 'Setting the WebSphere / Java machine 1.3.0 environment on Windows NT.'
      JAVA_HOME=C:/WebSphere/AppServer/jdk
      JAVA_EXE=C:/WebSphere/AppServer/jdk/jre/bin/java
      PATH=$JAVA_HOME/bin\;$JAVA_HOME/jre/bin\;$PATH
      $JAVA_HOME/jre/bin/java -fullversion
      .  $NT_COMMON_ENV_DIR/setw4nt.sh
      .  $NT_COMMON_ENV_DIR/ntclasspath_w130.sh
      .  $NT_PROJECT_ENV_DIR/ntclasspath.sh
      export JAVA_EXE JAVA_HOME PATH NT_COMMON_CLASSES
   fi
fi


