#!/usr/bin/sh
WASDOMAIN="Total Computing Domain"
#Only root own the original install of WAS and IHS server
#Other users need to customize the IHS server and use different <port> and/or <virtual host, port>
#The IHS server for the other users (different than root) is not provided in here
USER=`whoami`
if [ $USER = "root" ]
then
  WAS_HOME=/opt/WebSphere/AppServer
  IHS_HOME=/opt/IBMHTTPServer
  IHS_DOCROOT=/opt/IBMHTTPServer/htdocs
else
  WAS_HOME=$HOME/AppServer
fi
WAS_CLASSPATH=$WAS_HOME/properties:$WAS_HOME/lib/bootstrap.jar

# Add these to chap3/4  used by WASMON v1.3 getwasenv.sh (Not supported yet)
WAS_NODE=node1
WAS_HOSTNAME=node1.tcnd.com
DOCROOT=$IHS_DOCROOT
# HTTP_SERVER= HTTP_ALTERNATE WAS_ALTERNATE
export IHS_DOCROOT IHS_HOME DOCROOT WAS_NODE WAS_HOSTNAME

# WAS commands
STARTWAS=/usr/WebSphere/AppServer/bin/startServer.sh
STOPWAS=/usr/WebSphere/AppServer/bin/stopServer.sh
WSCP=/usr/WebSphere/AppServer/bin/wscp.sh
ASSEMBLY=/usr/WebSphere/AppServer/bin/assembly.sh
EAREXPANDER=/usr/WebSphere/AppServer/bin/EARExpander.sh
EJBDEPLOY=/usr/WebSphere/AppServer/bin/ejbdeploy.sh
SEAPPINSTALL=/usr/WebSphere/AppServer/bin/SEAppInstall.sh
SOAPENABLER=/usr/WebSphere/AppServer/bin/SoapEarEnabler.sh
CLIENTCONFIG=/usr/WebSphere/AppServer/bin/clientConfig.sh
DRADMIN=/usr/WebSphere/AppServer/bin/DrAdmin.sh
DUMPNAMESPACE=/usr/WebSphere/AppServer/bin/dumpNameSpace.sh
JSPCOMPILER=/usr/WebSphere/AppServer/bin/JspBatchCompiler.sh
LAUNCHCLIENT=/usr/WebSphere/AppServer/bin/launchClient.sh

# A list of all the Commands set above
WASCOMMANDS="STARTWAS(startServer.sh) STOPWAS(stopServer.sh) WSCP(wscp.sh) ASSEMBLY(assembly.sh) EAREXPANDER(EARExpander.sh) SEAPPINSTALL(SEAppInstall.sh) SOAPENABLER(SoapEarEnabler.sh) CLIENTCONFIG(clientConfig.sh) DRADMIN(DrAdmin.sh) DUMPNAMESPACE(dumpNameSpace.sh) JSPCOMPILER(JspBatchCompiler.sh) LAUNCHCLIENT(launchClient.sh)"

# WAS Installed/Installable directory
INSTALLEDAPPS=/usr/WebSphere/AppServer/installedApps
INSTALLABLEAPPS=/usr/WebSphere/AppServer/installableApps

# Port assignments
ADMINPORT=9090
DRADMINPORT=7000

PATH=/usr/WebSphere/AppServer/bin:$PATH
LD_LIBRARY_PATH=$WAS_HOME/lib/odbc/lib:$LD_LIBRARY_PATH
LD_LIBRARY_PATH=$WAS_HOME/bin:$WAS_HOME/lib:$LD_LIBRARY_PATH

export PATH LD_LIBRARY_PATH
export WASDOMAIN WAS_HOME INSTALLEDAPPS INSTALLABLEAPPS ADMINPORT DRADMINPORT WASCOMMANDS
export STARTWAS STOPWAS WSCP ASSEMBLY EAREXPANDER EJBDEPLOY SEAPPINSTALL SOAPENABLER CLIENTCONFIG DRADMIN DUMPNAMESPACE JSPCOMPILER LAUNCHCLIENT

