#!/usr/bin/sh
WASDOMAIN="Total Computing Domain"
#Only root own the original install of WAS and IHS server
#Other users need to customize the IHS server and use different <port> and/or <virtual host, port>
#The IHS server for the other users (different than root) is not provided in here
USER=`whoami`
if [ $USER = "root" ]
then
  WAS_HOME=/opt/WebSphere/AppServer
  IHS_HOME=/opt/IBMHTTPServer
  IHS_DOCROOT=/opt/IBMHTTPServer/htdocs
else
  WAS_HOME=$HOME/AppServer
fi
WAS_CLASSPATH=$WAS_HOME/properties:$WAS_HOME/lib/bootstrap.jar

# Add these to chap3/4  used by WASMON v1.3 getwasenv.sh (Not supported yet)
WAS_NODE=node1
WAS_HOSTNAME=node1.tcnd.com
DOCROOT=$IHS_DOCROOT
# HTTP_SERVER= HTTP_ALTERNATE WAS_ALTERNATE
export IHS_DOCROOT IHS_HOME DOCROOT WAS_NODE WAS_HOSTNAME

# WAS commands
STARTWAS=$WAS_HOME/bin/startServer.sh
STOPWAS=$WAS_HOME/bin/stopServer.sh
WSCP=$WAS_HOME/bin/wscp.sh
ASSEMBLY=$WAS_HOME/bin/assembly.sh
EAREXPANDER=$WAS_HOME/bin/EARExpander.sh
EJBDEPLOY=$WAS_HOME/bin/ejbdeploy.sh
SEAPPINSTALL=$WAS_HOME/bin/SEAppInstall.sh
SOAPENABLER=$WAS_HOME/bin/SoapEarEnabler.sh
CLIENTCONFIG=$WAS_HOME/bin/clientConfig.sh
DRADMIN=$WAS_HOME/bin/DrAdmin.sh
DUMPNAMESPACE=$WAS_HOME/bin/dumpNameSpace.sh
JSPCOMPILER=$WAS_HOME/bin/JspBatchCompiler.sh
LAUNCHCLIENT=$WAS_HOME/bin/launchClient.sh
LOGANALYZER=$WAS_HOME/bin/waslogbr

# WAS AEs
WASCFG=$WAS_HOME/config/server-cfg.xml
WASLOG_STDOUT=$WAS_HOME/logs/default_server_stdout.log
WASLOG_STDERR=$WAS_HOME/logs/default_server_stderr.log
WASLOG_ACTIVITY=$WAS_HOME/logs/activity.log

# A list of all the Commands set above
WASCOMMANDS="STARTWAS(startServer.sh) STOPWAS(stopServer.sh) WSCP(wscp.sh) ASSEMBLY(assembly.sh) EAREXPANDER(EARExpander.sh) SEAPPINSTALL(SEAppInstall.sh) SOAPENABLER(SoapEarEnabler.sh) CLIENTCONFIG(clientConfig.sh) DRADMIN(DrAdmin.sh) DUMPNAMESPACE(dumpNameSpace.sh) JSPCOMPILER(JspBatchCompiler.sh) LAUNCHCLIENT(launchClient.sh) LOGANALYZER(waslogbr)"

# WAS Installed/Installable directory
INSTALLEDAPPS=$WAS_HOME/installedApps
INSTALLABLEAPPS=$WAS_HOME/installableApps

# Port assignments
ADMINPORT=9090
DRADMINPORT=7000

PATH=$WAS_HOME/bin:$PATH
LD_LIBRARY_PATH=$WAS_HOME/lib/odbc/lib:$LD_LIBRARY_PATH
LD_LIBRARY_PATH=$WAS_HOME/bin:$WAS_HOME/lib:$LD_LIBRARY_PATH

export PATH LD_LIBRARY_PATH
export WASCFG WASLOG_STDOUT WASLOG_STDERR WASLOG_ACTIVITY 
export WASDOMAIN WAS_HOME INSTALLEDAPPS INSTALLABLEAPPS ADMINPORT DRADMINPORT WASCOMMANDS
export STARTWAS STOPWAS WSCP ASSEMBLY EAREXPANDER EJBDEPLOY SEAPPINSTALL SOAPENABLER CLIENTCONFIG DRADMIN DUMPNAMESPACE JSPCOMPILER LAUNCHCLIENT

