import java.io.*;
import java.net.*;
import java.util.*;
import org.apache.soap.util.xml.*;
import org.apache.soap.*;
import org.apache.soap.encoding.*;
import org.apache.soap.encoding.soapenc.*;
import org.apache.soap.rpc.*;
import java.util.Hashtable;
import com.tcnd.wasdg.ejb.dataaccess.CliAccnt;

public class testsoap1
{
public static void main(String[] args) throws Exception
{
	if (args.length != 3)
	{
		System.err.println("Usage: java testsoap1 SOAP-router-URL bankerID amount");
		System.exit(1);
	}
	// Process the arguments
	URL url = new URL (args[0]);
	String clientid = new String (args[1]); 
	String amount = new String (args[2]);

	// Map the request
	Hashtable mReq = new Hashtable();
	mReq.put("clientid",clientid);
	mReq.put("amount",amount);
	System.out.println("\n\n**** Web service to credit/debit " + clientid + " by " + amount + " ****\n");

	SOAPMappingRegistry smr = new SOAPMappingRegistry();
	BeanSerializer beanSer = new BeanSerializer();

	// Map the type
	smr.mapTypes(Constants.NS_URI_SOAP_ENC,
		new QName("urn:xml-soap-cliaccnt-demo", "cliaccnt"),
		CliAccnt.class, beanSer, beanSer);

	// Build the call
	Call call = new Call();
	call.setSOAPMappingRegistry(smr);
	call.setTargetObjectURI("urn:crdeb");
	call.setMethodName("creditdebit");
	call.setEncodingStyleURI(Constants.NS_URI_SOAP_ENC);
	Vector params = new Vector();
   
	params.addElement(new Parameter("mReq", Hashtable.class, mReq, null));
	call.setParams(params);

	System.out.println("\n\n**** Calling EJB CreditDebitBean Web service ****\n");
	Response resp;
	try
	{
		resp = call.invoke(url, ""); // routerURL, actionURI
	}
	catch (SOAPException e)
	{
		System.err.println("Caught SOAPException (" + e.getFaultCode() + "): " + e.getMessage());
		return;
	}
	System.out.println("***** Invocation terminated. Checking response.. *****");

	// Is response successful ?
	if (resp.generatedFault())
	{
		Fault fault = resp.getFault();
		System.out.println("FAILURE: ");
		System.out.println("  Fault code:   " + fault.getFaultCode());  
		System.out.println("  Fault string: " + fault.getFaultString());
		System.out.println("  Fault actor URI: " + fault.getFaultActorURI());
	}
	else
	{
		CliAccnt aCli = null;
		Parameter result = resp.getReturnValue();
		Object value = result.getValue();
		aCli = (CliAccnt) value;
		if (aCli != null) System.out.println(">>> Banker balance is " + String.valueOf(aCli.getBalance()));
		System.out.println(value != null ? "SUCCESS.\n" : "BIZARE!\n");
	}
  }
}
