import java.io.*;
import java.net.*;
import java.util.*;
import org.apache.soap.util.xml.*;
import org.apache.soap.*;
import org.apache.soap.encoding.*;
import org.apache.soap.encoding.soapenc.*;
import org.apache.soap.rpc.*;
import com.tcnd.wasdg.common.DataSet;
import com.tcnd.wasdg.common.DataSetSerializer;

public class testsoap2
{
public static void main(String[] args) throws Exception
{
	if (args.length != 2)
	{
		System.err.println("Usage: java testsoap2 SOAP-router-URL dbTable");
		System.exit(1);
	}
	
	// Process the arguments
	URL url = new URL (args[0]);
	String dbTable = new String (args[1]);

	System.out.println("\n\n**** Web service fetching database table " + dbTable + " ****\n");
	Hashtable mReq = new Hashtable();
	mReq.put("tablename",dbTable);

	SOAPMappingRegistry smr = new SOAPMappingRegistry();
	// Create an instance of the Serializer class
	DataSetSerializer dsSer = new DataSetSerializer();

	// Map the type
	smr.mapTypes(Constants.NS_URI_SOAP_ENC,
		new QName("urn:xml-soap-dataset-demo", "dataset"),
		DataSet.class, dsSer, dsSer);

	// Build the call
	Call call = new Call();
	call.setSOAPMappingRegistry(smr);
	call.setTargetObjectURI("urn:fetchtb");
	call.setMethodName("fetch");
	call.setEncodingStyleURI(Constants.NS_URI_SOAP_ENC);
	Vector params = new Vector();
   
	params.addElement(new Parameter("mReq", Hashtable.class, mReq, null));
	call.setParams(params);

	System.out.println("\n\n***** Calling EJB FetchTableBean Web service *****\n");
	Response resp;
	try
	{
		resp = call.invoke(url, ""); // router_URL, actionURI
	}
	catch (SOAPException e)
	{
		System.err.println("Caught SOAPException (" + e.getFaultCode() + "): " + e.getMessage());
		return;
	}

	System.out.println("***** Invocation terminated. Checking response.. *****");
	// Is response successful ?
	if (resp.generatedFault())
	{
	Fault fault = resp.getFault();
		System.out.println("FAILURE: ");
		System.out.println("  Fault code:   " + fault.getFaultCode());  
		System.out.println("  Fault string: " + fault.getFaultString());
		System.out.println("  Fault actor URI: " + fault.getFaultActorURI());
		System.out.println("  Get attribute QName: " + fault.getAttribute(new QName("urn:xml-soap-fetchtable-demo", "tablename")));
	}
	else
	{
		Parameter result = resp.getReturnValue();
		System.out.println(">>>>>>>>>>> " + result.getValue());
		Object value = result.getValue();
		System.out.println(value != null ? "SUCCESS.\n" + value : "BIZARE!\n");
		DataSet dataSet = (DataSet) value;
		if (dataSet.getRowCount() > 0)
		{
			dataSet.seekFirstRow();
			for (int j = 0; j < dataSet.getRowCount(); j++)
			{
				System.out.println("Fetching record " + j + " ------- ");
				for (int i = 0; i < dataSet.getColumnCount(); i++)
				{
					System.out.println("VALUE: " + dataSet.getValue(i) + " -- ");
				}
				dataSet.seekNextRow();
			}
		}
	}
  }
}
