import java.io.*;
import java.util.*;
import java.lang.*;

import javax.crypto.*;
import javax.crypto.spec.*;

/**
* Read a file content, sign the content as object, then write it
* java Cfile filename signedfile password
**/

class Cfile {

public static void main(String argv[]) {

	String fn = argv[0];
	String signedfn = argv[1];
	String content = getFile(fn);
	writeSignedFile(argv[2], content, signedfn);
}


public static void writeSignedFile(String password, String stream, String fn) {
	try {
		byte[] salt = { 
			(byte) 0x35, (byte)0x46,
			(byte) 0x25, (byte)0xc6,
			(byte) 0x85, (byte)0xa6,
			(byte) 0xe5, (byte)0x16
		};
		PBEParameterSpec pbeParamSpec = new PBEParameterSpec(salt, 20);
		char[] secret = (password).toCharArray();
		PBEKeySpec keySpec = new PBEKeySpec(secret);
		SecretKeyFactory keyFac = SecretKeyFactory.getInstance("PBEWithMD5AndDES");
		SecretKey sKey = keyFac.generateSecret(keySpec);
		
		Cipher cipher = Cipher.getInstance("PBEWithMD5AndDES");
		cipher.init(Cipher.ENCRYPT_MODE,sKey,pbeParamSpec);
		FileOutputStream fout = new FileOutputStream(fn);
		ObjectOutputStream oout = new ObjectOutputStream(fout);
		SealedObject sealed = new SealedObject(stream, cipher);
		oout.writeObject(sealed);
		oout.flush();
	} catch (Exception e) {
		System.out.println("Encryption error:"+e);
	}
}


public static String getFile(String fn) {
	String content = "";
	try {
		RandomAccessFile file = new RandomAccessFile(fn,"r");
		long seek = 0;
		long length = file.length();
		while(seek < length) { 
			String s = file.readLine();
			content = content + s;
			seek = file.getFilePointer();
		}
	} catch (IOException e)
	{
		e.printStackTrace();
	}
	return content;
}

}
