import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.Hashtable;

import com.tcnd.wasdg.common.*;

// TellerActivities servlet prints the page that is similar to the one printed by TellerLogged, except
// it reads the teller data from the HTTP session. This is to allow a continuous browsing while a
// teller is in session. Typically the TellerActivities servlet should be associated with a URL
// that can be requested from other pages of the WASDG application (i.e. a click button to
// go back to the teller activities page).
// Usually, an activity page should have a link to the TellerActivities page whenever the page
// does not invalidate the session. The UpdateProfile is such a servlet, but the Logoff and 
// Logout servlets are not (because these servlets invalidate the session).

public class TellerActivities extends javax.servlet.http.HttpServlet 
{

	// The following content is a copy of the content defined in TellerLogged servlet,
	// however, this content will be substitued with information read from the session (instead
	// of fetching data from the database.
	String pagecontent =

	"<html>" + 
	"<head>" + 
	"<page name=\"tellerlogged.html\" />" + 
	"<title>WebSphere Application Server Programming, Teller Logged OK: ziff_WELCOMETELLER</title>" + 
	"<ON:page name=\"tellerlogged\"/>" + 
	"<style>" + 
	"BODY,TD {font-family:arial,helv,sans-serif;font-size:10pt}" + 
	"</style>" + 
	"" + 
	"</head>" + 
	"<body text=\"#000000\" bgcolor=\"#ffffff\" link=\"990000\" alink=\"009900\" leftmargin=\"0\" marginheight=\"0\" marginwidth=\"0\" rightmargin=\"0\" topmargin=\"0\" bottommargin=\"5\">" + 
	"<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"760\" align=\"center\">" + 
	"<tr>" + 
	"</tr>" + 
	"</table>" + 
	"<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"760\" align=\"center\">" + 
	"<tr><td bgcolor=\"#000000\" height=\"3\" colspan=\"3\"><img src=\"/img/_.gif\" alt=\"\" width=\"1\" height=\"1\" hspace=\"0\" vspace=\"1\" border=\"0\"></td></tr>" + 
	"<tr valign=\"top\">" + 
	"<td width=\"150\" bgcolor=\"#cccccc\">" + 
	"<img src=\"/img/wasdg.gif\" alt=\"\" width=\"150\" height=\"80\" hspace=\"0\" vspace=\"0\" border=\"0\">" + 
	"&nbsp;" + 
	"</td>" + 
	"" + 
	"<td width=\"590\">" + 
	"" + 
	"<img src=\"/img/wb-teller-in-session.gif\" alt=\"Teller in Session\" width=\"150\" height=\"36\" hspace=\"0\" vspace=\"0\" border=\"0\">" + 
	"<br><hr width=\"590\" color=\"#cc0000\" >" + 
	"" + 
	"<content>" + 
	"" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\">" + 
	"<font size=\"+2\">" + "WELCOME TELLER: ziff_WELCOMETELLER" + "</font><br>" +
	"<font size=\"-1\">" + 
	"<p>" + 
	"<b>Note:</b> WebSphere Application Server Programming. Simple activities for the teller." + 
	"" + 
	"<table border=\"0\" cellpadding=\"0\" cellspacing=\"10\">" + 
	"" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click here to register a <a href=\"http://ziff_SERVERNAME/wasbook/coveredin?nextchapter=20\">new client." + 
	"</font></td></tr>" + 
	"" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click here to DEBIT/CREDIT <a href=\"http://ziff_SERVERNAME/wasbook/creditdebit\">client balance." + 
	"</font></td></tr>" + 
	"" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click here to edit <a href=\"http://ziff_SERVERNAME/wasbook/editteller\">your profile." + 
	"</font></td></tr>" + 
	"" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click here to <a href=\"http://ziff_SERVERNAME/wasbook/dumpenv\">dumpenv." + 
	"</font></td></tr>" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click here to <a href=\"http://ziff_SERVERNAME/wasbook/dumpcook\">dumpcook" + 
	"</font></td></tr>" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click here to <a href=\"http://ziff_SERVERNAME/wasbook/dumpsession\">dumpsession." + 
	"</font></td></tr>" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click here to <a href=\"http://ziff_SERVERNAME/wasbook/logoff\">logoff." + 
	"</font></td></tr>" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click here to <a href=\"http://ziff_SERVERNAME/wasbook/logout\">logout(time update.)" + 
	"</font></td></tr>" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click here to test <a href=\"ziff_URLREWRITE\">URL rewrite." + 
	"</font></td></tr>" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click on the <a href=\"http://ziff_SERVERNAME/wasbook/sessionfairy\">Session Fairy." + 
	"</font></td></tr>" + 
	"" + 
	"<tr><td><font face=\"arial,helvetica,geneva,sans-serif\" size=\"-1\">Last Login:(ziff_LASTTIMELOGGEDIN)</font></td>" + 
	"<td colspan=\"3\"><size=\"20\" maxlength=\"50\"></td></tr>" + 
	"<tr><td><font face=\"arial,helvetica,geneva,sans-serif\" size=\"-1\">Last Logout:(ziff_LASTTIMELOGGEDOUT)</font></td>" + 
	"<td colspan=\"3\"><size=\"20\" maxlength=\"50\"></td></tr>" + 
	"<tr><td><font face=\"arial,helvetica,geneva,sans-serif\" size=\"-1\">Current SessionID:(ziff_FILLINSESSIONID)</font></td>" + 
	"<td colspan=\"3\"><size=\"20\" maxlength=\"50\"></td></tr>" + 
	"<!--userchoice-->" + 
	"<tr><td><font face=\"arial,helvetica,geneva,sans-serif\" size=\"-1\">&nbsp;</font></td>" + 
	"<td colspan=\"3\">" + 
	"&nbsp;</td></tr>" + 
	"</table>" + 
	"" + 
	"<p>" + 
	"" + 
	"</content>" + 
	"" + 
	"</td>" + 
	"</tr>" + 
	"<tr valign=\"middle\" align=\"center\"><td bgcolor=\"#cccccc\" height=\"20\" colspan=\"3\">&nbsp; " + 
	"<!-- #include virtual=\"/inc/footer.ssi\"-->&nbsp;</td></tr>" + 
	"</table>" + 
	"<!--   #include virtual=\"/inc/copyright.ssi\"-->" + 
	"</body>" + 
	"</html>";


	public void init() throws ServletException 
	{
	}

	public void doGet(HttpServletRequest request, HttpServletResponse response) 
		throws IOException
	{

		String content = "Not in session!";
	//	HttpSession session = request.getSession();
		HttpSession session = request.getSession(true);
		if (session.isNew() == false) 
		{
			EmpAccnt aEmp = (EmpAccnt)session.getAttribute("teller");
			// Print out the page that is similar to the one printed by TellerLogged but the aEmp is read
			// from the session
			content = pagecontent;
	 		content = StrTool.replaceUnsensitive( content, "ziff_WELCOMETELLER", aEmp.getUserID() + "(" + aEmp.getFrstName() + ")");
			content = StrTool.replaceUnsensitive( content, "ziff_SERVERNAME", request.getServerName());
			content = StrTool.replaceUnsensitive( content, "ziff_URLREWRITE", response.encodeURL("/wasbook/urlrewrite") );
			content = StrTool.replaceUnsensitive( content, "ziff_LASTTIMELOGGEDIN", aEmp.getTmLogin());
			content = StrTool.replaceUnsensitive( content, "ziff_LASTTIMELOGGEDOUT", aEmp.getTmLogout());
			content = StrTool.replaceUnsensitive( content, "ziff_FILLINSESSIONID", session.getId());
		}

		response.setContentType("text/html");
		response.setHeader("Pragma", "no-cache");
		response.setHeader("Cache-Control", "no-cache");
		response.setDateHeader("Expires", 0);

		ServletOutputStream out = response.getOutputStream();
		out.println(content);
		out.close();
	}
}
