--
-- Create the 'DBGUIDE' db
--
-- CREATE DATABASE DBGUIDE on wasdb.tcnd.com in DB instance /home/db2inst1
-- 
CONNECT TO DBGUIDE 
GRANT CONNECT ON DATABASE TO USER DBREG
GRANT CONNECT ON DATABASE TO USER DBUSER
--
-- Define the 'EMPPWD' table
--
DROP TABLE EMPPWD
CREATE TABLE EMPPWD (
USERID   VARCHAR(12) NOT NULL,
PRIMARY  KEY ( USERID ),
PASSWORD VARCHAR(38) NOT NULL,
CREATED TIMESTAMP NOT NULL WITH DEFAULT, 
TMLOGIN  TIMESTAMP NOT NULL WITH DEFAULT,
TMLOGOUT TIMESTAMP NOT NULL WITH DEFAULT,
NDX DECIMAL(15,0) GENERATED BY DEFAULT AS IDENTITY(START WITH 1)
)
GRANT SELECT, INSERT, UPDATE ON TABLE EMPPWD TO USER DBREG
GRANT SELECT, INSERT ON TABLE EMPPWD TO USER DBUSER
--
-- Define the 'EMPACCNT' table
--
DROP TABLE EMPACCNT
CREATE TABLE EMPACCNT (
USERID VARCHAR(12) NOT NULL,
PRIMARY  KEY ( USERID ),
FRSTNAME VARCHAR(16) NOT NULL,
LASTNAME VARCHAR(32) NOT NULL,
IMAGE    VARCHAR(255),
SSN      VARCHAR(9),
EMPNO    CHAR(7)  NOT NULL,
EMAIL    VARCHAR(32),
CONTACT  VARCHAR(32) NOT NULL,
COUNTER  INTEGER NOT NULL WITH DEFAULT 0,
NDX DECIMAL(15,0) GENERATED BY DEFAULT AS IDENTITY(START WITH 1)
)
GRANT ALL PRIVILEGES ON TABLE EMPACCNT TO USER DBUSER
--
-- Define the 'CLIPWD' table
--
DROP TABLE CLIPWD
CREATE TABLE CLIPWD (
CLIENTID VARCHAR(12) NOT NULL,
PRIMARY  KEY ( CLIENTID ),
PASSWORD VARCHAR(38) NOT NULL,
CREATED  TIMESTAMP NOT NULL WITH DEFAULT, 
TMLOGIN  TIMESTAMP NOT NULL WITH DEFAULT,
TMLOGOUT TIMESTAMP NOT NULL WITH DEFAULT,
NDX DECIMAL(15,0) GENERATED BY DEFAULT AS IDENTITY(START WITH 1)
)
GRANT ALL PRIVILEGES ON TABLE CLIPWD TO USER DBUSER
--
-- Define the 'CLIACCNT' table
--
DROP TABLE CLIACCNT
CREATE TABLE CLIACCNT (
CLIENTID VARCHAR(12) NOT NULL,
PRIMARY  KEY ( CLIENTID ),
BANKID   VARCHAR(9) NOT NULL,
CATEGORY CHAR(1) NOT NULL,
REMPID	 VARCHAR(12) NOT NULL,
FRSTNAME VARCHAR(16) NOT NULL,
LASTNAME VARCHAR(32) NOT NULL,
IMAGE    VARCHAR(255),
EMAIL    VARCHAR(32),
CDEBITS  INTEGER NOT NULL WITH DEFAULT 0,
CCREDITS INTEGER NOT NULL WITH DEFAULT 0,
BALANCE  INTEGER NOT NULL WITH DEFAULT 0,
NDX DECIMAL(15,0) GENERATED BY DEFAULT AS IDENTITY(START WITH 1)
)
GRANT ALL PRIVILEGES ON TABLE CLIACCNT TO USER DBUSER
---
DISCONNECT ALL
