package com.tcnd.wasdg.dbreg;

import javax.security.auth.*;
import javax.security.auth.callback.*;
import javax.security.auth.login.*;

public class FetchFile 
{
    static class NullCallbackHandler implements CallbackHandler 
    {
        public void handle(Callback[] cb) 
	{
            throw new IllegalArgumentException("Not implemented.");
        }
    }

    static LoginContext lc = null;
    public static void main(String[] args) 
    {
        // use the configured LoginModules for the FetchFile entry
        try 
	    {
		lc = new LoginContext("FetchFile", new NullCallbackHandler());
	    } 
	catch (LoginException le) 
	    {
		le.printStackTrace();
		System.exit(-1);
	    } 
        try 
	    {
		lc.login();
	    } 
	catch (Exception e) 
	    {
		System.out.println("Login failed: " + e);
		System.exit(-1);
	    }

        // At this point the authenticated user can execute the code
        String c = (String)Subject.doAs(lc.getSubject(), new PrivilegedFetchFile());
	System.out.println("FETCHED FILE CONTENT: " + c);
        System.exit(0);
    }
}
