package com.tcnd.wasdg.wasdgexceptions;

// This class contains the methods to return a descriptive message,
// the severity code, and the component name of an exception mnemonic
 
import java.io.*;
import java.util.*;
import com.tcnd.wasdg.common.BundleManager;
import com.tcnd.wasdg.log.Log;

public class WasdgMessages {
	private static PropertyResourceBundle componentCodes;
	private static PropertyResourceBundle descriptiveMessages;
	private static PropertyResourceBundle severityCodes;
	static 
	{	
		componentCodes = BundleManager.getBundle("components");
		descriptiveMessages = BundleManager.getBundle("messages");
		severityCodes = BundleManager.getBundle("severity");
	}

// constructor
public WasdgMessages()
{
	super();
}

//  This method returns the description of a message mnemonic
public static String getDescriptiveMessage(String mnemonic) throws MissingResourceException
{
		
	try
	{
		return descriptiveMessages.getString(mnemonic);
	}
	catch (MissingResourceException e) 
	{
		Log.log("WasdgMessages.getDescriptiveMessage: Not found for " + mnemonic);
		return "?";
	}
	
	
}

// This method returns the severity code of a message mnemonic
public static String getSeverityCode(String mnemonic) throws MissingResourceException
{
	try
	{
		return severityCodes.getString(mnemonic);
	}
	catch (MissingResourceException e) 
	{
		Log.log("WasdgMessages.getSeverityCode: Not found for " + mnemonic);
		return "?";
	}
}

// This method returns the severity code of a message mnemonic
public static String getComponentCode(String mnemonic) throws MissingResourceException 
{
	try
	{
		return componentCodes.getString(mnemonic);
	}
	catch (MissingResourceException e) 
	{
		Log.log("WasdgMessages.getComponentCode: Not found for " + mnemonic);
		return "?";
	}
}
}
