import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.Timestamp;

public class DumpCookLog extends HttpServlet
{
	public static final String FILE = "/tmp/cooklog.txt"; 
	FileOutputStream outStr;
	PrintStream printStream;

	public void init() throws ServletException
	{
		try
		{
			outStr = new FileOutputStream(FILE,true);
			printStream = new PrintStream(outStr);
			System.setOut(printStream);
			Timestamp now = new Timestamp( System.currentTimeMillis() );
			System.out.println(now.toString() + ": Shipping out characters");
		}
		catch (IOException e)
		{
			e.printStackTrace();
			// ...
		}

	}

	public void service(HttpServletRequest request, HttpServletResponse response)
	throws ServletException, IOException
	{

		ServletOutputStream out = response.getOutputStream();
		response.setContentType("text/html");
		out.println("<html><head><title>Dump cookies</title></head><body bgcolor=\"white\">");
		out.println("<h1>COOKIES and HEADER information</h1>");
		out.println("<h2>Cookies--</h2>");
		int j;
		Cookie[] cookies = request.getCookies();
		for (j=0; j< cookies.length; j++) 
		{
			// Fetch a cookie
			Cookie aCookie = cookies[j];
			String n = aCookie.getName();
			String v = aCookie.getValue();
			if (n.equals("SESSIONID")) 
			{
				out.println("-- COOKIE[" + n + "][" + v + "] <br>");
				System.out.println(">COOKIE[" + n + "][" + v + "]");
			}
			else 
			{
				out.println("COOKIE[" + n + "][" + v + "] <br>");
				System.out.println("COOKIE[" + n + "][" + v + "]");
			}
		}

		out.println("<hr><p>");
		out.println("<h2>Header--</h2>");
		out.println("Authentication Scheme: "+request.getAuthType()+"<br>");
		out.println("<p>");
		Enumeration names = request.getHeaderNames();
		while (names.hasMoreElements())
		{
			String header = (String) names.nextElement();
			out.println(header + ": " + request.getHeader(header) + "<br>");
		}

		out.close();
	}

	public void destroy()
	{
		// super.destroy();
		try
		{
			outStr.close();
			printStream.close();
		}
		catch (IOException e)
		{
			e.printStackTrace();
			// ...
		}
	}
}

