import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.sql.Timestamp;

import com.tcnd.wasdg.common.*;

public class DumpSession extends HttpServlet
{
	public void service(HttpServletRequest request, HttpServletResponse response)
	throws ServletException, IOException
	{
	HttpSession session = request.getSession();
	EmpAccnt aEmp = (EmpAccnt)session.getAttribute("teller");

	ServletOutputStream out = response.getOutputStream();
	response.setContentType("text/html");
	out.println("<html><head><title>Dumping session object</title></head>");
	out.println("<body bgcolor=\"white\"><h1>Session object content</h1>");
	out.println("<h2>JSESSIONID = " +  session.getId() + "</h2>");

	// Dump the EMPACCNT object if it is not null
	if (aEmp != null) 
		{
		out.println("FRSTNAME: " + aEmp.getFrstName() + " <br>");
		out.println("LASTNAME: " + aEmp.getLastName() + " <br>");
		out.println("IMAGE: " + aEmp.getImage() + " <br>");
		out.println("SSN: " + aEmp.getSsn() + " <br>");
		out.println("EMPNO: " + aEmp.getEmpno() + " <br>");
		out.println("EMAIL: " + aEmp.getEmail() + " <br>");
		out.println("CONTACT: " + aEmp.getContact() + " <br>");
		out.println("COUNTER: " + aEmp.getCounter() + " <br><br>");
		aEmp.show(); // print it to STDOUT
		}
	else
		out.println("Object is null!<br>");

	out.println("<hr><p>");

	Enumeration list = session.getAttributeNames();
	while (list.hasMoreElements()) {
		String n = (String) list.nextElement();
		String v = session.getAttribute(n).toString();
		out.println(n + ": " + v + "<br>");
	}
	out.println("<hr><p>");

	String sessinfo = 
		"Created on: " + session.getCreationTime() + " or " + new Date(session.getCreationTime()) + "<br>" +
		"Last accessed on: " + session.getLastAccessedTime() + " or " + new Date(session.getLastAccessedTime()) + "<br>" +
		"Expire after: " + session.getMaxInactiveInterval() + " seconds " + "<br>" +
		"Session ID from cookie: " + request.isRequestedSessionIdFromCookie() + "<br>" +
		"Session ID from URL: " + request.isRequestedSessionIdFromURL() + "<br>" +
		"OK to request session ID: " + request.isRequestedSessionIdValid() + "<br>";
	out.println(sessinfo);
	out.println("<hr><p>");
		
	int j;
	Cookie[] cookies = request.getCookies();
	for (j=0; j< cookies.length; j++) {
		// Fetch a cookie
		Cookie aCookie = cookies[j];
		String n = aCookie.getName();
			String v = aCookie.getValue();
		out.println("COOKIE[" + n + "][" + v + "] <br>");
	}

	out.close();
	}
}

