import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.rmi.*;
import javax.naming.*;
import javax.ejb.*;
import java.util.*;
import com.tcnd.wasdg.ejb.MapRequest;
import com.tcnd.wasdg.ejb.operationemp.*;
import com.tcnd.wasdg.ejb.dataaccess.EmpAccnt;
import com.tcnd.wasdg.common.StrTool;

public class Logout9 extends javax.servlet.http.HttpServlet 
{
	InitialContext jndiCtx;
	OperationEmpHomeRemote fHome = null;
	OperationEmpRemote fRemote = null;

public void init() throws ServletException 
{
	try
	{
		// Get System properties for JNDI initialization
		java.util.Properties properties = new java.util.Properties();
		properties.put(javax.naming.Context.PROVIDER_URL, "iiop:///");
		properties.put(javax.naming.Context.INITIAL_CONTEXT_FACTORY,"com.ibm.websphere.naming.WsnInitialContextFactory");
		// Form an initial context
		jndiCtx = new InitialContext(properties);
		java.lang.Object o = jndiCtx.lookup("OperationEmp");
		fHome = (OperationEmpHomeRemote)javax.rmi.PortableRemoteObject.narrow(o, OperationEmpHomeRemote.class);
		fRemote = fHome.create();
		System.out.println("Good Logout9 -- init() after create");
	} 
	catch (Exception e)
	{ 	
		System.out.println("Logout9 servlet error when retrieving the home interface: " + e.getMessage());
	}
}

public void doGet(HttpServletRequest request, HttpServletResponse response) 
		throws IOException{
	String content = null;

	HttpSession session = request.getSession(true);
	EmpAccnt aEmp = (EmpAccnt)session.getAttribute("teller");

	// make sure to invalidate the session after updating the database with the time the teller logged off the application
	if (session.isNew() == false) {
		content = "LOGOUT: TMLOGOUT updated and session invalidated. Bye!";

		MapRequest mReq = new MapRequest();
		String userid = aEmp.getUserID();
		mReq.setParam("userid",userid);
		mReq.setOperation("__OPERATIONEMP_LOGOUT__");
		try
		{
			fRemote.execute(mReq);
			System.out.println("Good -- After fRemote.execute() -- TIME LOGOUT UPDATED");
		}
		catch (Exception e)
		{
			System.out.println("Logout9 servlet error: " + e.getMessage());
		}
		session.invalidate();
	}
	else {
		content = "Not in session... Bye anyway!";
	}
	response.setContentType("text/html");
	response.setHeader("Pragma", "no-cache");
	response.setHeader("Cache-Control", "no-cache");
	response.setDateHeader("Expires", 0);
	ServletOutputStream out = response.getOutputStream();
	out.println(content);
	out.close();
}
}
