import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.http.HttpServlet;
import javax.rmi.*;
import javax.naming.*;
import javax.ejb.*;
import java.util.*;
import com.tcnd.wasdg.ejb.MapRequest;
import com.tcnd.wasdg.ejb.fetchtable.*;

import com.tcnd.wasdg.common.DataSet;

public class QueryTable9 extends javax.servlet.http.HttpServlet 
{
	InitialContext jndiCtx;
	FetchTableHomeRemote fHome = null;
	FetchTableRemote fRemote = null;


public void init() throws ServletException {
	try
	{
		// Get System properties for JNDI initialization
		java.util.Properties properties = new java.util.Properties();
		properties.put(javax.naming.Context.PROVIDER_URL, "iiop:///");
		properties.put(javax.naming.Context.INITIAL_CONTEXT_FACTORY,"com.ibm.websphere.naming.WsnInitialContextFactory");
		// Form an initial context
		jndiCtx = new InitialContext(properties);
		System.out.println("Good -- init() got initial context");
		java.lang.Object o = jndiCtx.lookup("FetchTable");
		fHome = (FetchTableHomeRemote)javax.rmi.PortableRemoteObject.narrow(o, FetchTableHomeRemote.class);
		System.out.println("Good -- init() got home interface");
		fRemote = fHome.create();
		System.out.println("Good QueryTable9 -- init() after create");
	} 
	catch (Exception e)
	{ 	
		System.out.println( "QueryTable9 servlet error when retrieving the home interface: " + e.getMessage());
	}
}

public void doGet(HttpServletRequest request, HttpServletResponse response) 
	throws ServletException, IOException {

	MapRequest mReq = new MapRequest(); // BOGO
	DataSet dataSet = null;

	String dbTable = request.getParameter("table");

	System.out.println(">>>>> Querying the table: " + dbTable);
	mReq.setParam("tablename",dbTable);
	
	try
	{
		dataSet = fRemote.fetch(mReq);	
		System.out.println("Good -- After fetch");
	} 
	catch (Exception e)
	{ 	
		System.out.println( "QueryTable servlet error:" + e.getMessage());
	}
	response.setContentType("text/html");
	response.setHeader("Pragma", "no-cache");
	response.setHeader("Cache-Control", "no-cache");
	response.setDateHeader("Expires", 0);

	PrintWriter out = response.getWriter();
	out.println("<html><head><title>WASDG Title Page</title></head><body> &nbsp;<center><table BORDER=0 CELLPADDING=2 ><tr><td></td>");

	if (dataSet.getRowCount() > 0)
	{
		for (int i = 0; i < dataSet.getColumnCount(); i++)
		{
			out.println("<td ALIGN=CENTER BGCOLOR=\"#E0D224\"><font size=+2>" + i + "&nbsp;</font></td>");
		}
		out.println("<tr><td></td>");
		
		dataSet.seekFirstRow();
		for (int j = 0; j < dataSet.getRowCount(); j++)
		{
			for (int i = 0; i < dataSet.getColumnCount(); i++)
			{
				out.println("<td ALIGN=CENTER BGCOLOR=\"#E0D1B4\"><font size=+1>" + dataSet.getValue(i) + "&nbsp;</font></td>");
			}
			out.println("<tr><td></td>");
			dataSet.seekNextRow();
		} 
	}
	else
	{	
		out.println( "</tr>");
	}
	out.println("</table></body></html>");
	out.close();
}

 public void doPost(HttpServletRequest request, HttpServletResponse response)
              throws ServletException, IOException
              {
                 doGet( request, response);
    }
}
