import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.lang.reflect.*;

import com.tcnd.wasdg.common.StrTool;
// The SessionFairy9 is different than the SessionFairy in that it imports the EmpAccnt object from:
import com.tcnd.wasdg.ejb.dataaccess.EmpAccnt;

public class SessionFairy9 extends HttpServlet
{
	public static final String FILE = "/tmp/SessionFairy.tmp"; 

	public void service(HttpServletRequest request, HttpServletResponse response)
	throws ServletException, IOException
	{
		FileOutputStream outStr = new FileOutputStream(FILE,false);
		PrintStream printStream = new PrintStream(outStr);
		System.setOut(printStream);
		System.out.println("# SessionFairy.tmp");

		HttpSession session = request.getSession();
		EmpAccnt aEmp = (EmpAccnt)session.getAttribute("teller");

		ServletOutputStream out = response.getOutputStream();
		response.setContentType("text/html");
		out.println("<html><head><title>Session Fairy -- Introspect</title></head>");
		out.println("<body><h1>Session object content</h1>");
		out.println("<body><h2>JSESSIONID = " +  session.getId() + "</h2>");

		Enumeration list = session.getAttributeNames();
		while (list.hasMoreElements()) 
		{
			// get the name of this listed element
			String n = (String) list.nextElement();
			// get the value of the attribute and convert it to a string
			String v = session.getAttribute(n).toString();
			// trim the value to get only the class name
			String c = StrTool.trimSessionString(v);
			System.out.println("ATTRIBUTE: " + n );
			System.out.println("CLASSNAME: " + c );
			out.println(n + ": " + v + "   (" + c + ")" + "<br>");
			try
			{
				Class sessProv = Class.forName(c);
				Field field[] = sessProv.getDeclaredFields();
				for (int i=0; i<field.length; i++) 
				{
					out.println("Field " + i + " = " + field[i] + "<br>");
					System.out.println("#Field: " + field[i]);
				}
				Constructor con[] = sessProv.getDeclaredConstructors();
				for (int i=0; i<con.length; i++) 
				{
					out.println("Constructor " + i + " = " + con[i]+ "<br>");
					System.out.println("#Constructor: " + field[i]);
				}
				Method m[] = sessProv.getDeclaredMethods();
				for (int i=0; i<m.length; i++) {
					out.println("Method " + i + " = " + m[i] + "<br>");
					System.out.println("Method: " + m[i]);
				}
			}
			catch (ClassNotFoundException e) 
			{
				out.println("No magic today.. Cannot!");
			}
		}
		out.println("<hr><p>");

		String sessinfo = 
			"Created on : " + session.getCreationTime() + "(" + new Date(session.getCreationTime()) + ")" + "<br>" +
			"Last access on: " + session.getLastAccessedTime() + "(" + new Date(session.getLastAccessedTime()) + ")" + "<br>" +
			"Expiration on: " + session.getMaxInactiveInterval() + "seconds" + "<br>" +
			"Session ID from cookie: " + request.isRequestedSessionIdFromCookie() + "<br>" +
			"Session ID from URL: " + request.isRequestedSessionIdFromURL() + "<br>" +
			"OK to request session ID: " + request.isRequestedSessionIdValid() + "<br>";
		out.println(sessinfo);
		out.println("<hr><p>");
		out.close();
	
		Process p = Runtime.getRuntime().exec("/usr/local/bin/perl /BOOK/16/Code/Dist/i2jsp");
	
	}
}
