import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.Hashtable;

import com.tcnd.wasdg.dataaccess.*;
import com.tcnd.wasdg.common.*;


// UpdatePassword: updates the password then put the teller back to the teller activities screen.
// UpdatePassword is based on TellerLogged servlet, except that it update the password of the
// teller instead of updating the EMPPWD with the time the teller logged in.
// Chapter 18, 19, and 20 will not implement this servlet. But the reader can write the
// corresponding servlets for: ChangePassword and UpdatePassword, in the same way we treated
// the EditTeller and UpdateProfile.
// Also note that, because the ChangePassword uses a GET method, and the UpdatePassword uses a POST
// method, both of these servlets can be merged together into a single servlet. For clarity,
// we will not merge both servlets into a single one.
// See also TellerLogged and TellerActivities servlets.

public class UpdatePassword extends javax.servlet.http.HttpServlet 
{
	DataAccessComponent DAC;

	// The following content is a copy of the content defined in TellerLogged servlet,
	// however, this content will be substitued with information read from the session (instead
	// of fetching data from the database.
	String pagecontent =

	"<html>" + 
	"<head>" + 
	"<page name=\"tellerlogged.html\" />" + 
	"<title>WebSphere Application Server Programming, Teller Logged OK: ziff_WELCOMETELLER</title>" + 
	"<ON:page name=\"tellerlogged\"/>" + 
	"<style>" + 
	"BODY,TD {font-family:arial,helv,sans-serif;font-size:10pt}" + 
	"</style>" + 
	"" + 
	"</head>" + 
	"<body text=\"#000000\" bgcolor=\"#ffffff\" link=\"990000\" alink=\"009900\" leftmargin=\"0\" marginheight=\"0\" marginwidth=\"0\" rightmargin=\"0\" topmargin=\"0\" bottommargin=\"5\">" + 
	"<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"760\" align=\"center\">" + 
	"<tr>" + 
	"</tr>" + 
	"</table>" + 
	"<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"760\" align=\"center\">" + 
	"<tr><td bgcolor=\"#000000\" height=\"3\" colspan=\"3\"><img src=\"/img/_.gif\" alt=\"\" width=\"1\" height=\"1\" hspace=\"0\" vspace=\"1\" border=\"0\"></td></tr>" + 
	"<tr valign=\"top\">" + 
	"<td width=\"150\" bgcolor=\"#cccccc\">" + 
	"<img src=\"/img/wasdg.gif\" alt=\"\" width=\"150\" height=\"80\" hspace=\"0\" vspace=\"0\" border=\"0\">" + 
	"&nbsp;" + 
	"</td>" + 
	"" + 
	"<td width=\"590\">" + 
	"" + 
	"<img src=\"/img/wb-teller-in-session.gif\" alt=\"Teller in Session\" width=\"150\" height=\"36\" hspace=\"0\" vspace=\"0\" border=\"0\">" + 
	"<br><hr width=\"590\" color=\"#cc0000\" >" + 
	"" + 
	"<content>" + 
	"" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\">" + 
	"<font size=\"+2\">" + "WELCOME TELLER: ziff_WELCOMETELLER" + "</font><br>" +
	"<font size=\"-1\">" + 
	"<p>" + 
	"<b>Note:</b> WebSphere Application Server Programming. Simple activities for the teller." + 
	"" + 
	"<table border=\"0\" cellpadding=\"0\" cellspacing=\"10\">" + 
	"" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click here to register a <a href=\"http://ziff_SERVERNAME/wasbook/coveredin?nextchapter=20\">new client." + 
	"</font></td></tr>" + 
	"" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click here to DEBIT/CREDIT <a href=\"http://ziff_SERVERNAME/wasbook/creditdebit\">client balance." + 
	"</font></td></tr>" + 
	"" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click here to edit <a href=\"http://ziff_SERVERNAME/wasbook/editteller\">your profile." + 
	"</font></td></tr>" + 
	"" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click here to <a href=\"http://ziff_SERVERNAME/wasbook/dumpenv\">dumpenv." + 
	"</font></td></tr>" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click here to <a href=\"http://ziff_SERVERNAME/wasbook/dumpcook\">dumpcook" + 
	"</font></td></tr>" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click here to <a href=\"http://ziff_SERVERNAME/wasbook/dumpsession\">dumpsession." + 
	"</font></td></tr>" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click here to <a href=\"http://ziff_SERVERNAME/wasbook/logoff\">logoff." + 
	"</font></td></tr>" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click here to <a href=\"http://ziff_SERVERNAME/wasbook/logout\">logout(time update.)" + 
	"</font></td></tr>" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click here to test <a href=\"ziff_URLREWRITE\">URL rewrite." + 
	"</font></td></tr>" + 
	"<tr><td>" + 
	"<font face=\"arial,helvetica,geneva,sans-serif\" size=\"+2\" >Click on the <a href=\"http://ziff_SERVERNAME/wasbook/sessionfairy\">Session Fairy." + 
	"</font></td></tr>" + 
	"" + 
	"<tr><td><font face=\"arial,helvetica,geneva,sans-serif\" size=\"-1\">Last Login:(ziff_LASTTIMELOGGEDIN)</font></td>" + 
	"<td colspan=\"3\"><size=\"20\" maxlength=\"50\"></td></tr>" + 
	"<tr><td><font face=\"arial,helvetica,geneva,sans-serif\" size=\"-1\">Last Logout:(ziff_LASTTIMELOGGEDOUT)</font></td>" + 
	"<td colspan=\"3\"><size=\"20\" maxlength=\"50\"></td></tr>" + 
	"<tr><td><font face=\"arial,helvetica,geneva,sans-serif\" size=\"-1\">Current SessionID:(ziff_FILLINSESSIONID)</font></td>" + 
	"<td colspan=\"3\"><size=\"20\" maxlength=\"50\"></td></tr>" + 
	"<!--userchoice-->" + 
	"<tr><td><font face=\"arial,helvetica,geneva,sans-serif\" size=\"-1\">&nbsp;</font></td>" + 
	"<td colspan=\"3\">" + 
	"&nbsp;</td></tr>" + 
	"</table>" + 
	"" + 
	"<p>" + 
	"" + 
	"</content>" + 
	"" + 
	"</td>" + 
	"</tr>" + 
	"<tr valign=\"middle\" align=\"center\"><td bgcolor=\"#cccccc\" height=\"20\" colspan=\"3\">&nbsp; " + 
	"<!-- #include virtual=\"/inc/footer.ssi\"-->&nbsp;</td></tr>" + 
	"</table>" + 
	"<!--   #include virtual=\"/inc/copyright.ssi\"-->" + 
	"</body>" + 
	"</html>";


	public void init() throws ServletException {
		DAC = new DataAccessComponent();
	}

	public void doGet(HttpServletRequest request, HttpServletResponse response) 
		throws ServletException, IOException 
	{
		response.setContentType("text/html");
		response.setHeader("Pragma", "no-cache");
		response.setHeader("Cache-Control", "no-cache");
		response.setDateHeader("Expires", 0);

		PrintWriter out = response.getWriter();

		out.println("Hmm!");
		out.close();
	}	

	public void doPost(HttpServletRequest request, HttpServletResponse response) 
		throws IOException
	{

		String content = "Did not change password!";
		HttpSession session = request.getSession();
		EmpAccnt aEmp = (EmpAccnt)session.getAttribute("teller");

		String userid = aEmp.getUserID(); // get it from the session set by TellerLogged
		String password = request.getParameter("password");
		String password1 = request.getParameter("password1");
		String password2 = request.getParameter("password2");

		IDataAccessObject iDAO = DAC.createDAObject();

		Hashtable hs = new Hashtable();
		hs.put("userid",userid);
		hs.put("password",password);
		iDAO.setParameters(hs);
		iDAO.setCommandString("SELECT * FROM DB2INST1.EMPPWD WHERE (USERID = ':userid' AND PASSWORD = ':password')");
		iDAO = DAC.executeQuery(iDAO);
		// Make sure that the <userid, password> match and "password1 and password2" are similar with length > 3
		if ( (iDAO.getCommandResult()) && (password1.compareTo(password2) == 0) && (password1.toString().trim().length() > 3) )  
		{
			DataSet dataSet = iDAO.getDataSet();
			dataSet.seekFirstRow();
			String tmlogin = dataSet.getValue("tmlogin");
			String tmlogout = dataSet.getValue("tmlogout");
	
			// We will update with the new password1
			hs.put("password",password1);
			// Update the password in two statements
			iDAO.setCommandString("UPDATE DB2INST1.EMPPWD SET PASSWORD = ':password' WHERE USERID = ':userid'");
			iDAO = DAC.executeUpdate(iDAO);

			// Print out the page that is similar to the one printed by TellerLogged but the aEmp is read
			// from the session. This is similar to the TellerActivities servlet, and can be redirected to that servlet instead.
			content = pagecontent;
	 		content = StrTool.replaceUnsensitive( content, "ziff_WELCOMETELLER", userid + "(" + aEmp.getFrstName() + ")");
			content = StrTool.replaceUnsensitive( content, "ziff_SERVERNAME", request.getServerName());
			content = StrTool.replaceUnsensitive( content, "ziff_URLREWRITE", response.encodeURL("/wasbook/urlrewrite") );
			content = StrTool.replaceUnsensitive( content, "ziff_LASTTIMELOGGEDIN", tmlogin);
			content = StrTool.replaceUnsensitive( content, "ziff_LASTTIMELOGGEDOUT", tmlogout);
			content = StrTool.replaceUnsensitive( content, "ziff_FILLINSESSIONID", session.getId());
		}

		response.setContentType("text/html");
		response.setHeader("Pragma", "no-cache");
		response.setHeader("Cache-Control", "no-cache");
		response.setDateHeader("Expires", 0);

		ServletOutputStream out = response.getOutputStream();
		out.println(content);
		out.close();
	}
}
