import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.rmi.*;
import javax.naming.*;
import javax.ejb.*;
import java.util.*;
import com.tcnd.wasdg.ejb.MapRequest;
import com.tcnd.wasdg.ejb.operationemp.*;

import com.tcnd.wasdg.ejb.dataaccess.EmpAccnt;
import com.tcnd.wasdg.common.StrTool;

public class UpdateProfile9 extends javax.servlet.http.HttpServlet 
{
	InitialContext jndiCtx;
	OperationEmpHomeRemote fHome = null;
	OperationEmpRemote fRemote = null;

	public void init() throws ServletException {
	try
	{
		// Get System properties for JNDI initialization
		java.util.Properties properties = new java.util.Properties();
		properties.put(javax.naming.Context.PROVIDER_URL, "iiop:///");
		properties.put(javax.naming.Context.INITIAL_CONTEXT_FACTORY,"com.ibm.websphere.naming.WsnInitialContextFactory");
		// Form an initial context
		jndiCtx = new InitialContext(properties);
		java.lang.Object o = jndiCtx.lookup("OperationEmp");
		fHome = (OperationEmpHomeRemote)javax.rmi.PortableRemoteObject.narrow(o, OperationEmpHomeRemote.class);
		fRemote = fHome.create();
		System.out.println("Good UpdateProfile9 -- init() after create");
	} 
	catch (Exception e)
	{ 	
		System.out.println("UpdateProfile servlet error when retrieving the home interface: " + e.getMessage());
	}
	}

	public void doGet(HttpServletRequest request, HttpServletResponse response) 
		throws ServletException, IOException 
	{
		response.setContentType("text/html");
		response.setHeader("Pragma", "no-cache");
		response.setHeader("Cache-Control", "no-cache");
		response.setDateHeader("Expires", 0);

		PrintWriter out = response.getWriter();

		out.println("Hmm!");
		out.close();
	}	

	public void doPost(HttpServletRequest request, HttpServletResponse response) 
		throws IOException
	{
		// Get the session object EmpAccnt in aEmp
		HttpSession session = request.getSession();
		EmpAccnt aEmp = (EmpAccnt)session.getAttribute("teller");

		MapRequest mReq = new MapRequest();

		String userid = aEmp.getUserID(); // get it from the session set by TellerLogged9
		// the following parameters need to be read from the request because they may have been changed
		String frstname = request.getParameter("firstname");
		String lastname = request.getParameter("lastname");
		String email = request.getParameter("email");
		String contact = request.getParameter("contact");
		
		mReq.setOperation("__OPERATIONEMP_UPDATEINFO__");
		mReq.setParam("userid",userid); // BOGO
		mReq.setParam("frstname",frstname);
		mReq.setParam("lastname",lastname);
		mReq.setParam("email",email);
		mReq.setParam("contact",contact);
		try
		{
			EmpAccnt aEmp2 = new EmpAccnt();
			aEmp2 = fRemote.execute(mReq);
			System.out.println("Good -- After fRemote.execute()");
			if (aEmp2 != null)
			{
				// update the Session object EmpAccnt if the UPDATE was successful
				aEmp.setFrstName(frstname);
				aEmp.setLastName(lastname);
				aEmp.setEmail(email);
				aEmp.setContact(contact);
			}
		}
		catch (Exception e)
		{
			System.out.println("UpdateProfile servlet error: " + e.getMessage());
		}
		
		ServletOutputStream out = response.getOutputStream();
		out.print("Teller userid: " + aEmp.getUserID());
		out.print("<br>Firstname: " + aEmp.getFrstName());
		out.print("<br>Lastname: " + aEmp.getLastName());
		out.print("<br>Email: " + aEmp.getEmail());
		out.print("<br>Contact: " + aEmp.getContact());
		out.close();
	}
}
