package com.tcnd.wasdg.ejb.dataaccess.idac;

import com.tcnd.wasdg.ejb.dataaccess.*;
import com.tcnd.wasdg.ejb.HmLookup;
// SER import com.tcnd.wasdg.ejb.MapRequest;
import com.tcnd.wasdg.common.DataSet;

// import com.tcnd.wasdg.common.log.Log;
// import com.tcnd.wasdg.wasdgexceptions.WasdgException;
import java.util.Hashtable;
import java.rmi.RemoteException;

import javax.ejb.*;

public class IDACOperationEmpBean implements SessionBean 
{
	private javax.ejb.SessionContext ctx = null;
	final static String jndiName = "DataAccessComponent";
	protected IDataAccessObject iDAO = null;
	protected DataAccessComponentRemote dacRemote = null;

	public void setSessionContext(javax.ejb.SessionContext ctx) { this.ctx = ctx; }
	public void ejbActivate() {} 
	public void ejbPassivate() {}
	public void ejbCreate() {} 
	public void ejbRemove() {}
	public javax.ejb.SessionContext getSessionContext() { return ctx; }

	public EmpAccnt execute(Hashtable mReq) throws javax.ejb.CreateException, java.rmi.RemoteException
	{
		EmpAccnt aEmp = null;

		dacRemote = ((DataAccessComponentHomeRemote)HmLookup.getHome(jndiName)).create();
		iDAO = dacRemote.createDAObject();

		String operation = mReq.get("__BEAN_OPCODE__").toString();

		if (operation.equals("__OPERATIONEMP_FETCH__"))
		{
			iDAO.setParameters(mReq);
			iDAO.setCommandString("SELECT * FROM DB2INST1.EMPACCNT WHERE USERID = ':userid'");
			iDAO = dacRemote.fetchEmpAccount(iDAO);
			if (iDAO.getCommandResult())
				aEmp = iDAO.getEmpAccnt();
			else {} // throw WasdgException: Teller not found!
		}
		if (operation.equals("__OPERATIONEMP_UPDATEINFO__"))
		{
			iDAO.setParameters(mReq);
			iDAO.setCommandString("UPDATE DB2INST1.EMPACCNT SET FRSTNAME = ':frstname' , LASTNAME = ':lastname' , EMAIL = ':email' , CONTACT = ':contact' WHERE USERID = ':userid'");
			iDAO = dacRemote.executeUpdate(iDAO);
			// If update is committed to database, then read record from database and return aEmp
			if (iDAO.getCommandResult())
			{
				iDAO.setCommandString("SELECT * FROM DB2INST1.EMPACCNT WHERE USERID = ':userid'");
				iDAO = dacRemote.fetchEmpAccount(iDAO);
				aEmp = iDAO.getEmpAccnt();
			}
			else {} // throw WasdgException: Teller account not updated !
		}
		if (operation.equals("__OPERATIONEMP_LOGIN__"))
		{
			iDAO.setParameters(mReq);
			iDAO.setCommandString("SELECT * FROM DB2INST1.EMPPWD WHERE (USERID = ':userid' AND PASSWORD = ':password')");
			iDAO = dacRemote.executeQuery(iDAO);
			if (iDAO.getCommandResult())
			{
				// Get the timestamps for login and logout from the EMPPWD table
				DataSet dataSet = iDAO.getDataSet();
				dataSet.seekFirstRow();
				String tmlogin = dataSet.getValue("tmlogin");
				String tmlogout = dataSet.getValue("tmlogout");
				
				// Fetch the employee account first, then update the aEmp object with the timestamps
				iDAO.setCommandString("SELECT * FROM DB2INST1.EMPACCNT WHERE USERID = ':userid'");
				iDAO = dacRemote.fetchEmpAccount(iDAO);
				aEmp = iDAO.getEmpAccnt();
				aEmp.setTmLogin(tmlogin);
				aEmp.setTmLogout(tmlogout);
				// Update the timestamps in the table EMPPWD
				iDAO.setCommandString("UPDATE DB2INST1.EMPPWD SET TMLOGIN = (CURRENT TIMESTAMP) WHERE USERID = ':userid'");
				iDAO = dacRemote.executeUpdate(iDAO);
			}
			else {} // throw WasdgException: Teller not found!
		}
		if (operation.equals("__OPERATIONEMP_LOGOUT__"))
		{
			iDAO.setParameters(mReq);
			iDAO.setCommandString("UPDATE DB2INST1.EMPPWD SET TMLOGOUT = (CURRENT TIMESTAMP) WHERE USERID = ':userid'");
			iDAO = dacRemote.executeUpdate(iDAO);
		}
		return aEmp;
	}
}
